import { useEffect, useState } from "react";

function Dashboard() {
  const [data, setData] = useState(null);

  useEffect(() => {
    fetch("http://localhost:5000/api/data")
      .then(response => response.json())
      .then(data => setData(data));
  }, []);

  return (
    <div>
      <h1>Dashboard</h1>
      {data ? (
        <div>
          <p>Revenus: {data.revenus} €</p>
          <p>Dépenses: {data.dépenses} €</p>
          <p>Profit: {data.profit} €</p>
        </div>
      ) : (
        <p>Chargement...</p>
      )}
    </div>
  );
}

export default Dashboard;
